[vdr] Q: vdr-1.4.0/1.4.1 fail to compile

Anssi Hannula anssi.hannula at gmail.com
Fri Jun 16 08:43:14 CEST 2006


andreyv wrote:
> Hi,
> 
> does anybody had a problem to compile vdr-1.4.0/1.4.1 with next error
> 
> make[1]: *** No rule to make target `sys/capability.h', needed by
> `vdr.o'. Stop.
> 
> a quick check gives next
> 
> locate capability.h
> /usr/include/linux/capability.h
> 
> if I modify vdr.c to look for linux/capability.h instead sys/capability.h
> I am getting next error

They are different files.

[...]
> OS: Mandriva 2006 (tried Mandriva 2005 with same error)
> Kernel: 2.6.12-12mdk
> DVB card: Nexus-S
> CPU: Athlon 1200
> 
> It looks like vdr-1.4.0/1.4.1 doesn't like my capability.h and I can not
> find what could be a solution. Is there requirements for newer version
> of kernel?

No, just do urpmi libcap-devel.


-- 
Anssi Hannula




More information about the vdr mailing list